//+------------------------------------------------------------------+
//|                                     |
//+------------------------------------------------------------------+
enum ENUM_INPUTS_READING_MODE
  {
   FILE             = 0, // 
   INPUT_PARAMETERS = 1  //  
  };
//+------------------------------------------------------------------+
//|                                        |
//+------------------------------------------------------------------+
enum ENUM_POSITION_PROPERTIES
  {
   P_TOTAL_DEALS     = 0,
   P_SYMBOL          = 1,
   P_MAGIC           = 2,
   P_COMMENT         = 3,
   P_SWAP            = 4,
   P_COMMISSION      = 5,
   P_PRICE_FIRST_DEAL= 6,
   P_PRICE_OPEN      = 7,
   P_PRICE_CURRENT   = 8,
   P_PRICE_LAST_DEAL = 9,
   P_PROFIT          = 10,
   P_VOLUME          = 11,
   P_INITIAL_VOLUME  = 12,
   P_SL              = 13,
   P_TP              = 14,
   P_TIME            = 15,
   P_DURATION        = 16,
   P_ID              = 17,
   P_TYPE            = 18,
   P_ALL             = 19
  };
//+------------------------------------------------------------------+
//|                                        |
//+------------------------------------------------------------------+
enum ENUM_SYMBOL_PROPERTIES
  {
   S_DIGITS          = 0,
   S_SPREAD          = 1,
   S_STOPSLEVEL      = 2,
   S_POINT           = 3,
   S_ASK             = 4,
   S_BID             = 5,
   S_VOLUME_MIN      = 6,
   S_VOLUME_MAX      = 7,
   S_VOLUME_LIMIT    = 8,
   S_VOLUME_STEP     = 9,
   S_FILTER          = 10,
   S_UP_LEVEL        = 11,
   S_DOWN_LEVEL      = 12,
   S_EXECUTION_MODE  = 13,
   S_ALL             = 14
  };
//+------------------------------------------------------------------+
//|                                               |
//+------------------------------------------------------------------+
enum ENUM_POSITION_DURATION
  {
   DAYS     = 0, // 
   HOURS    = 1, // 
   MINUTES  = 2, // 
   SECONDS  = 3  // 
  };
//+------------------------------------------------------------------+
//|                 |
//+------------------------------------------------------------------+
enum ENUM_CHART_EVENT_SYMBOL
  {
   CHARTEVENT_NO         = 0,          //   - 0
   CHARTEVENT_INIT       = 0,          //  "" - 0
   //---
   CHARTEVENT_NEWBAR_M1  = 0x00000001, //  " "    (1)
   CHARTEVENT_NEWBAR_M2  = 0x00000002, //  " "  2-  (2)
   CHARTEVENT_NEWBAR_M3  = 0x00000004, //  " "  3-  (4)
   CHARTEVENT_NEWBAR_M4  = 0x00000008, //  " "  4-  (8)
   //---
   CHARTEVENT_NEWBAR_M5  = 0x00000010, //  " "  5-  (16)
   CHARTEVENT_NEWBAR_M6  = 0x00000020, //  " "  6-  (32)
   CHARTEVENT_NEWBAR_M10 = 0x00000040, //  " "  10-  (64)
   CHARTEVENT_NEWBAR_M12 = 0x00000080, //  " "  12-  (128)
   //---
   CHARTEVENT_NEWBAR_M15 = 0x00000100, //  " "  15-  (256)
   CHARTEVENT_NEWBAR_M20 = 0x00000200, //  " "  20-  (512)
   CHARTEVENT_NEWBAR_M30 = 0x00000400, //  " "  30-  (1024)
   CHARTEVENT_NEWBAR_H1  = 0x00000800, //  " "    (2048)
   //---
   CHARTEVENT_NEWBAR_H2  = 0x00001000, //  " "  2-  (4096)
   CHARTEVENT_NEWBAR_H3  = 0x00002000, //  " "  3-  (8192)
   CHARTEVENT_NEWBAR_H4  = 0x00004000, //  " "  4-  (16384)
   CHARTEVENT_NEWBAR_H6  = 0x00008000, //  " "  6-  (32768)
   //---
   CHARTEVENT_NEWBAR_H8  = 0x00010000, //  " "  8-  (65536)
   CHARTEVENT_NEWBAR_H12 = 0x00020000, //  " "  12-  (131072)
   CHARTEVENT_NEWBAR_D1  = 0x00040000, //  " "    (262144)
   CHARTEVENT_NEWBAR_W1  = 0x00080000, //  " "    (524288)
   //---
   CHARTEVENT_NEWBAR_MN1 = 0x00100000, //  " "    (1048576)
   CHARTEVENT_TICK       = 0x00200000, //  " " (2097152)
   //---
   CHARTEVENT_ALL=0xFFFFFFFF  //    (-1)
  };
//+------------------------------------------------------------------+
